Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.coyote
Interface OutputBuffer

All Known Subinterfaces:
  OutputFilter

All Known Implementing Classes:
  ChunkedOutputFilter, GzipOutputFilter, IdentityOutputFilter, InternalOutputBuffer, InternalOutputBuffer.OutputStreamOutputBuffer, JkCoyoteHandler, MemoryProtocolHandler.ByteChunkOutputBuffer, VoidOutputFilter

public interface OutputBuffer

Output buffer.

Author:
  Remy Maucherat

Method Summary
`int` | `doWrite(ByteChunk chunk, Response response)`

Method Detail

### doWrite

    public int doWrite(ByteChunk chunk,
                       Response response)
                throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.